#ifndef MAINWIN_H
#define MAINWIN_H

#include <gui/window.h>
#include <gui/menu.h>
#include <gui/button.h>
#include <gui/dropdownmenu.h>
#include <util/message.h>

#include <gui/image.h>
#include <gui/imageview.h>

using namespace os;

class MainWin: public Window {
	public:
	MainWin(const Rect & r);
	~MainWin();

	bool OkToQuit();

	void HandleMessage(Message *);
	
	protected:

	private:

	DropdownMenu*	m_Dropdown;
	ImageView*	m_ImageView;

	Image*		m_Img1;
	Image*		m_Img2;
	Image*		m_Img3;
	Image*		m_Img4;
	Image*		m_Img5;
	Image*		m_Img6;
};

#endif

